%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CREATION DU SIGNAL ORIGINAL :
function S = Chant(Tt,p,N,Kf)

% Tt temps total (ms), 
% p Pas mini (ms)
% N Nombre de phases
% Kf index des frquences maxi

t = [] ;        % Initialisation du temps
s = [] ;        % Initialisation du signal

for (NoPh=1:N)
    ti = (NoPh-1)*(Tt/N):NoPh*(Tt/N)-1 ;
    t = [t ti];
    f1 = ceil(Kf * rand + Kf/10 * rand) ; phi1 = 2 * pi * rand ;
    f2 = ceil(Kf * rand + Kf/10 * rand) ; phi2 = 2 * pi * rand ;
    s1 = sin(f1 * ti / 1000 + phi1) ;
    s2 = sin(f2 * ti / 1000 + phi2) ;
    si = s1 .* s2 ;
    s = [s si] ;
end

S.signal = s ;
S.temps = t ;